Bug 810838 - growisofs -Z is unable to write over a non-blank DVD-RW media, one gets a bunch of different errors (workaround: dvd+rw-format /dev/sr0 -blank=full)
growisofs -Z is unable to write over a non-blank DVD-RW media, one gets a bun...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dvd+rw-tools (Show other bugs)
16
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Honza Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-09 07:11 EDT by Reartes Guillermo
Modified: 2012-09-18 05:54 EDT (History)
6 users (show)

See Also:
Fixed In Version: dvd+rw-tools-7.1-11.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-18 05:54:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
blkparse (human text readable) output mashita drive (first) (214.32 KB, text/plain)
2012-04-09 07:14 EDT, Reartes Guillermo
no flags Details
blkparse (human text readable) output TEAC drive (second) (472.80 KB, text/plain)
2012-04-09 07:15 EDT, Reartes Guillermo
no flags Details
blkparse (human text readable) output mashita drive (third) (77.95 KB, text/plain)
2012-04-09 07:16 EDT, Reartes Guillermo
no flags Details
blkparse (human text readable) output mashita drive (fourth) (1.08 MB, text/plain)
2012-04-09 07:17 EDT, Reartes Guillermo
no flags Details
f16 messages (346.98 KB, text/plain)
2012-04-09 07:47 EDT, Reartes Guillermo
no flags Details
Calc file, performed test matrix and issue matrix (18.37 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-08-16 08:46 EDT, Reartes Guillermo
no flags Details
Proposed patch that adds man page and prints error in case writing is not possible (8.96 KB, patch)
2012-08-22 09:05 EDT, Honza Horak
no flags Details | Diff
Human read-able man page for dvd+rw-format (4.52 KB, text/plain)
2012-08-22 09:20 EDT, Honza Horak
no flags Details

  None (edit)
Description Reartes Guillermo 2012-04-09 07:11:44 EDT
Description of problem:

I was going to blank again the disc for testing:

# ls -l /test/1/
total 319444
-rw-r--r--. 1 root root 327106560 Mar 15 00:34 bin1.tar

# dvd+rw-mediainfo /dev/sr0
INQUIRY:                [MATSHITA][DVD+-RW UJ8A2   ][1.02]
GET [CURRENT] CONFIGURATION:
 Mounted Media:         14h, DVD-RW Sequential
 Media ID:              TDK601saku  
 Current Write Speed:   4.0x1385=5540KB/s
 Write Speed #0:        4.0x1385=5540KB/s
 Write Speed #1:        2.0x1385=2770KB/s
 Speed Descriptor#0:    00/4294967295 R@3101059.2x1385=4294967040KB/s W@4.0x1385=5540KB/s
 Speed Descriptor#1:    00/4294967295 R@3101059.2x1385=4294967040KB/s W@2.0x1385=2770KB/s
READ DVD STRUCTURE[#10h]:
 Media Book Type:       00h, DVD-ROM book [revision 0]
 Legacy lead-out at:    2298496*2KB=4707319808
READ DVD STRUCTURE[#0h]:
 Media Book Type:       33h, DVD-RW book [revision 3]
 Last border-out at:    2045*2KB=4188160
READ DISC INFORMATION:
 Disc status:           complete
 Number of Sessions:    1
 State of Last Session: complete
 Number of Tracks:      1
READ FORMAT CAPACITIES:
 formatted:             0*2048=0
 00h(800):              2297888*2048=4706074624
 10h(10):               2297888*2048=4706074624
 15h(10):               2297888*2048=4706074624
READ TRACK INFORMATION[#1]:
 Track State:           complete
 Track Start Address:   0*2KB
 Free Blocks:           0*2KB
 Track Size:            0*2KB
FABRICATED TOC:
 Track#1  :             14@0
 Track#AA :             14@0                                                                                                                                            
 Multi-session Info:    #1@0
READ CAPACITY:          0*2048=0

# dvd+rw-format /dev/sr0 -force=full
* BD/DVD±RW/-RAM format utility by <appro@fy.chalmers.se>, version 7.1.
* 4.7GB DVD-RW media in Sequential mode detected.
* formatting 0.0/:-[ PERFORM OPC failed with SK=3h/POWER CALIBRATION AREA ERROR]: Input/output error

Note: this is the first time that fails with "PERFORM OPC failed with SK=3h/POWER CALIBRATION AREA", so i do not consider it a duplicate bug yet.

# eject

And put the disc in another writer:

[root@grimmjow ~]# dvd+rw-format /dev/sr1 -force=full
* BD/DVD±RW/-RAM format utility by <appro@fy.chalmers.se>, version 7.1.
* 4.7GB DVD-RW media in Sequential mode detected.
* formatting 100.0\

# eject /dev/sr1

It finished ok, the disc is good.
Now, i put it in the mashita writer again and retry:

# growisofs -Z /dev/sr0 -R -J /test/1/
Executing 'mkisofs -R -J /test/1/ | builtin_dd of=/dev/sr0 obs=32k seek=0'
I: -input-charset not specified, using utf-8 (detected in locale settings)
  3.13% done, estimate finish Sun Apr  8 22:47:59 2012
/dev/sr0: "Current Write Speed" is 4.1x1352KBps.
:-[ WRITE@LBA=0h failed with SK=0h/ASC=00h/ACQ=03h]: Input/output error
:-( write failed: Input/output error 

Writers:

/dev/sr0 --> MATSHITA DVD+/-RW UJ8A2, 1.02
/dev/sr1 --> TEAC DV-W28SS-RZ3 (1.0C)

TEST:

* Tried to blank the media in sr0, failed.
* Blanked the media in sr1. ok.
* Tried to burn something in sr0, failed.

If i check the media again, it says:

# dvd+rw-mediainfo /dev/sr0
INQUIRY:                [MATSHITA][DVD+-RW UJ8A2   ][1.02]
GET [CURRENT] CONFIGURATION:
 Mounted Media:         14h, DVD-RW Sequential
 Media ID:              TDK601saku  
 Current Write Speed:   4.0x1385=5540KB/s
 Write Speed #0:        4.0x1385=5540KB/s
 Write Speed #1:        2.0x1385=2770KB/s
 Speed Descriptor#0:    00/2297887 R@3101059.2x1385=4294967040KB/s W@4.0x1385=5540KB/s
 Speed Descriptor#1:    00/2297887 R@3101059.2x1385=4294967040KB/s W@2.0x1385=2770KB/s
READ DVD STRUCTURE[#10h]:
 Media Book Type:       00h, DVD-ROM book [revision 0]
 Legacy lead-out at:    2298496*2KB=4707319808
READ DVD STRUCTURE[#0h]:
 Media Book Type:       33h, DVD-RW book [revision 3]
 Last border-out at:    2045*2KB=4188160
READ DISC INFORMATION:
 Disc status:           complete
 Number of Sessions:    1
 State of Last Session: complete
 Number of Tracks:      1
READ FORMAT CAPACITIES:
 formatted:             2297888*2048=4706074624
 00h(800):              2297888*2048=4706074624
 10h(10):               2297888*2048=4706074624
 15h(10):               2297888*2048=4706074624
READ TRACK INFORMATION[#1]:
 Track State:           complete,damaged
 Track Start Address:   0*2KB
 Free Blocks:           0*2KB
 Track Size:            2297888*2KB
 Last Recorded Address: 2297887*2KB
FABRICATED TOC:
 Track#1  :             14@0
 Track#AA :             14@2297888
 Multi-session Info:    #1@0
READ CAPACITY:          2297888*2048=4706074624

Now, i put it back in sr0 and tried:

# dvd+rw-format /dev/sr0 -force=full -blank=full
* BD/DVD±RW/-RAM format utility by <appro@fy.chalmers.se>, version 7.1.
* 4.7GB DVD-RW media in Sequential mode detected.
* blanking 100.0|

It worked.

# eject /dev/sr0


# dvd+rw-mediainfo /dev/sr0
INQUIRY:                [MATSHITA][DVD+-RW UJ8A2   ][1.02]
GET [CURRENT] CONFIGURATION:
 Mounted Media:         14h, DVD-RW Sequential
 Media ID:              TDK601saku  
 Current Write Speed:   4.0x1385=5540KB/s
 Write Speed #0:        4.0x1385=5540KB/s
 Write Speed #1:        2.0x1385=2770KB/s
 Speed Descriptor#0:    00/4294967295 R@3101059.2x1385=4294967040KB/s W@4.0x1385=5540KB/s
 Speed Descriptor#1:    00/4294967295 R@3101059.2x1385=4294967040KB/s W@2.0x1385=2770KB/s
READ DVD STRUCTURE[#10h]:
 Media Book Type:       00h, DVD-ROM book [revision 0]
 Legacy lead-out at:    2298496*2KB=4707319808
READ DVD STRUCTURE[#0h]:
 Media Book Type:       33h, DVD-RW book [revision 3]
 Last border-out at:    2045*2KB=4188160
READ DISC INFORMATION:
 Disc status:           complete
 Number of Sessions:    1
 State of Last Session: complete
 Number of Tracks:      1
READ FORMAT CAPACITIES:
 formatted:             0*2048=0
 00h(800):              2297888*2048=4706074624
 10h(10):               2297888*2048=4706074624
 15h(10):               2297888*2048=4706074624
READ TRACK INFORMATION[#1]:
 Track State:           complete,damaged
 Track Start Address:   0*2KB
 Free Blocks:           0*2KB
 Track Size:            0*2KB
FABRICATED TOC:
 Track#1  :             14@0
 Track#AA :             14@0
 Multi-session Info:    #1@0
READ CAPACITY:          0*2048=0

# growisofs -Z /dev/sr0 -R -J /test/1/
Executing 'mkisofs -R -J /test/1/ | builtin_dd of=/dev/sr0 obs=32k seek=0'
I: -input-charset not specified, using utf-8 (detected in locale settings)
  3.13% done, estimate finish Sun Apr  8 23:24:02 2012
/dev/sr0: FEATURE 21h is not on, engaging DAO...
:-[ PERFORM OPC failed with SK=4h/ASC=10h/ACQ=00h]: Input/output error
/dev/sr0: reserving 159904 block, warning for short DAO recording
:-[ RESERVE TRACK failed with SK=3h/UNABLE TO RECOVER TABLE-OF-CONTENTS]: Input/output error
/dev/sr0: "Current Write Speed" is 4.1x1352KBps.
:-[ WRITE@LBA=0h failed with SK=3h/UNABLE TO RECOVER TABLE-OF-CONTENTS]: Input/output error
:-( attempt to re-run with -dvd-compat -dvd-compat to engage DAO or apply full blanking procedure
:-( write failed: Input/output error

Humm, this is an RW disc, even if it is (-), it should be possible to blank it correclty,
or was it destroyed by one of this writers in a previous test?

# dvd+rw-mediainfo /dev/sr0
INQUIRY:                [MATSHITA][DVD+-RW UJ8A2   ][1.02]
GET [CURRENT] CONFIGURATION:
 Mounted Media:         14h, DVD-RW Sequential
 Media ID:              TDK601saku  
 Current Write Speed:   4.0x1385=5540KB/s
 Write Speed #0:        4.0x1385=5540KB/s
 Write Speed #1:        2.0x1385=2770KB/s
 Speed Descriptor#0:    00/4294967295 R@3101059.2x1385=4294967040KB/s W@4.0x1385=5540KB/s
 Speed Descriptor#1:    00/4294967295 R@3101059.2x1385=4294967040KB/s W@2.0x1385=2770KB/s
READ DVD STRUCTURE[#10h]:
 Media Book Type:       00h, DVD-ROM book [revision 0]
 Legacy lead-out at:    2298496*2KB=4707319808
READ DVD STRUCTURE[#0h]:
 Media Book Type:       33h, DVD-RW book [revision 3]
 Last border-out at:    2045*2KB=4188160
READ DISC INFORMATION:
 Disc status:           complete
 Number of Sessions:    1
 State of Last Session: complete
 Number of Tracks:      1
READ FORMAT CAPACITIES:
 formatted:             0*2048=0
 00h(800):              2297888*2048=4706074624
 10h(10):               2297888*2048=4706074624
 15h(10):               2297888*2048=4706074624
READ TRACK INFORMATION[#1]:
 Track State:           complete,damaged
 Track Start Address:   0*2KB
 Free Blocks:           0*2KB
 Track Size:            0*2KB
FABRICATED TOC:
 Track#1  :             14@0
 Track#AA :             14@0
 Multi-session Info:    #1@0
READ CAPACITY:          0*2048=0

# eject /dev/sr0


After al of the above, i put the disc in my desktop (F15) and:

 $ dvd+rw-mediainfo /dev/sr0
 INQUIRY:                [ATAPI   ][iHBS112   2     ][CL0K]
 GET [CURRENT] CONFIGURATION:
  Mounted Media:         14h, DVD-RW Sequential
  Media ID:              TDK601saku
  Current Write Speed:   4.0x1385=5540KB/s
  Write Speed #0:        4.0x1385=5540KB/s
  Speed Descriptor#0:    00/2297887 R@12.0x1385=16620KB/s W@4.0x1385=5540KB/s
 READ DVD STRUCTURE[#10h]:
  Media Book Type:       00h, DVD-ROM book [revision 0]
  Legacy lead-out at:    2298496*2KB=4707319808
 READ DVD STRUCTURE[#0h]:
  Media Book Type:       33h, DVD-RW book [revision 3]
  Last border-out at:    2045*2KB=4188160
 READ DISC INFORMATION:
  Disc status:           blank
  Number of Sessions:    1
  State of Last Session: empty
  "Next" Track:          1
  Number of Tracks:      1
 READ FORMAT CAPACITIES:
  unformatted:           2297888*2048=4706074624
  00h(800):              2297888*2048=4706074624
  10h(10):               2297888*2048=4706074624
  15h(10):               2297888*2048=4706074624
 READ TRACK INFORMATION[#1]:
  Track State:           invisible incremental
  Track Start Address:   0*2KB
  Next Writable Address: 0*2KB
  Free Blocks:           2297888*2KB
  Track Size:            2297888*2KB
 READ CAPACITY:          0*2048=0

Well, it does looks different, and no operations were performed on the
media. which one is the correct one? F16 or F15?


 $ dvd+rw-format /dev/sr0 -blank=full -force=full
 * BD/DVD±RW/-RAM format utility by <appro@fy.chalmers.se>, version 7.1.
 * 4.7GB DVD-RW media in Sequential mode detected.
 * blanking 100.0|

 $ dvd+rw-mediainfo /dev/sr0
 INQUIRY:                [ATAPI   ][iHBS112   2     ][CL0K]
 GET [CURRENT] CONFIGURATION:
  Mounted Media:         14h, DVD-RW Sequential
  Media ID:              TDK601saku
  Current Write Speed:   4.0x1385=5540KB/s
  Write Speed #0:        4.0x1385=5540KB/s
  Speed Descriptor#0:    00/2297887 R@12.0x1385=16620KB/s W@4.0x1385=5540KB/s
 READ DVD STRUCTURE[#10h]:
  Media Book Type:       00h, DVD-ROM book [revision 0]
  Legacy lead-out at:    2298496*2KB=4707319808
 READ DVD STRUCTURE[#0h]:
  Media Book Type:       33h, DVD-RW book [revision 3]
  Last border-out at:    2045*2KB=4188160
 READ DISC INFORMATION:
  Disc status:           blank
  Number of Sessions:    1
  State of Last Session: empty
  "Next" Track:          1
  Number of Tracks:      1
 READ FORMAT CAPACITIES:
  unformatted:           2297888*2048=4706074624
  00h(800):              2297888*2048=4706074624
  10h(10):               2297888*2048=4706074624
  15h(10):               2297888*2048=4706074624
 READ TRACK INFORMATION[#1]:
  Track State:           invisible incremental
  Track Start Address:   0*2KB
  Next Writable Address: 0*2KB
  Free Blocks:           2297888*2KB
  Track Size:            2297888*2KB
 READ CAPACITY:          0*2048=0

 # growisofs -Z /dev/sr0 -R -J  ~/test/1/
 Executing 'mkisofs -R -J /root/test/1/ | builtin_dd of=/dev/sr0 obs=32k seek=0'
 I: -input-charset not specified, using utf-8 (detected in locale settings)
  2.36% done, estimate finish Mon Apr  9 00:22:32 2012
 /dev/sr0: "Current Write Speed" is 4.1x1352KBps.
  4.72% done, estimate finish Mon Apr  9 00:24:18 2012
  7.07% done, estimate finish Mon Apr  9 00:23:56 2012
  9.42% done, estimate finish Mon Apr  9 00:23:56 2012
  11.78% done, estimate finish Mon Apr  9 00:23:56 2012
  14.13% done, estimate finish Mon Apr  9 00:23:49 2012
  16.48% done, estimate finish Mon Apr  9 00:23:50 2012
  18.84% done, estimate finish Mon Apr  9 00:23:51 2012
  21.19% done, estimate finish Mon Apr  9 00:23:52 2012
  23.55% done, estimate finish Mon Apr  9 00:23:52 2012
  25.90% done, estimate finish Mon Apr  9 00:23:53 2012
  28.26% done, estimate finish Mon Apr  9 00:23:53 2012
  30.61% done, estimate finish Mon Apr  9 00:23:50 2012
  32.97% done, estimate finish Mon Apr  9 00:23:50 2012
  35.32% done, estimate finish Mon Apr  9 00:23:51 2012
  37.68% done, estimate finish Mon Apr  9 00:23:51 2012
  40.03% done, estimate finish Mon Apr  9 00:23:51 2012
  42.39% done, estimate finish Mon Apr  9 00:23:52 2012
  44.74% done, estimate finish Mon Apr  9 00:23:50 2012
  47.10% done, estimate finish Mon Apr  9 00:23:50 2012
  49.45% done, estimate finish Mon Apr  9 00:23:50 2012
  51.81% done, estimate finish Mon Apr  9 00:23:51 2012
  54.16% done, estimate finish Mon Apr  9 00:23:51 2012
  56.51% done, estimate finish Mon Apr  9 00:23:51 2012
  58.87% done, estimate finish Mon Apr  9 00:23:51 2012
  61.22% done, estimate finish Mon Apr  9 00:23:50 2012
  63.57% done, estimate finish Mon Apr  9 00:23:50 2012
  65.93% done, estimate finish Mon Apr  9 00:23:50 2012
  68.28% done, estimate finish Mon Apr  9 00:23:51 2012
  70.64% done, estimate finish Mon Apr  9 00:23:51 2012
  72.99% done, estimate finish Mon Apr  9 00:23:51 2012
  75.35% done, estimate finish Mon Apr  9 00:23:50 2012
  77.70% done, estimate finish Mon Apr  9 00:23:50 2012
  80.06% done, estimate finish Mon Apr  9 00:23:50 2012
  82.41% done, estimate finish Mon Apr  9 00:23:50 2012
  84.77% done, estimate finish Mon Apr  9 00:23:51 2012
  87.12% done, estimate finish Mon Apr  9 00:23:52 2012
  89.48% done, estimate finish Mon Apr  9 00:23:52 2012
  91.83% done, estimate finish Mon Apr  9 00:23:52 2012
  94.19% done, estimate finish Mon Apr  9 00:23:52 2012
  96.54% done, estimate finish Mon Apr  9 00:23:51 2012
  98.90% done, estimate finish Mon Apr  9 00:23:51 2012
 Total translation table size: 0
 Total rockridge attributes bytes: 249
 Total directory bytes: 0
 Path table size(bytes): 10
 Max brk space used 0
 212361 extents written (414 MB)
 builtin_dd: 212368*2KB out @ average 3.9x1352KBps
 /dev/sr0: flushing cache
 /dev/sr0: updating RMA
 /dev/sr0: closing session
 /dev/sr0: reloading tray

 Wel, it did reload the tray. Actually, it ejected and reinserted
 the media.

 # growisofs -Z /dev/sr0 -R -J  ~/test/1/
 WARNING: /dev/sr0 already carries isofs!
 About to execute 'mkisofs -R -J /root/test/1/ | builtin_dd of=/dev/sr0
 obs=32k seek=0'
 I: -input-charset not specified, using utf-8 (detected in locale settings)
  2.36% done, estimate finish Mon Apr  9 00:25:59 2012
 /dev/sr0: "Current Write Speed" is 4.1x1352KBps.
 :-[ WRITE@LBA=0h failed with SK=5h/INVALID ADDRESS FOR WRITE]: Invalid argument
 :-( attempt to re-run with -dvd-compat -dvd-compat to engage DAO or
 apply full blanking procedure
 :-( write failed: Invalid argument

 Well, evidently, it happens with this writer too.
 So, DVD-RW cannot be writen twice without a full blanking on some
 writers (i don't know yet if there
 is a separate issue on the blanking code itself)


The countdown is missing when burning to DVD-RW media, is it possible that
growisofs is not blanking the disc before burning and thus, corrupting the disc?
Only a full blanking (VERY slow) restores it (and sometimes another writer is needed).


Version-Release number of selected component (if applicable):
F16, dvd+rw-tools-7.1-8.fc16.x86_64 (Centos 5.3 also)
Kernel: 3.3.1-2.fc16.x86_64

How reproducible:
sometimes (i said this because the results are similar but the growisofs is not allways exacly the same, but DVD-RW allways cannot be burned twice like DVD+RW). 

Steps to Reproduce:
1. burn either an empty DVD-RW or a FFF (Fully Forced Formated) DVD-RW 
2. burn again -> fails.
3. the affected DVD-RW must be FFF again.
  
Actual results:
DVD-RW cannot be writen more than one, without a FULL format wich is slow.

Expected results:
growisofs must blank it before burning, like DVD+RW

Additional info:
Comment 1 Reartes Guillermo 2012-04-09 07:14:13 EDT
Created attachment 576181 [details]
blkparse (human text readable) output mashita drive (first)
Comment 2 Reartes Guillermo 2012-04-09 07:15:26 EDT
Created attachment 576185 [details]
blkparse (human text readable) output TEAC drive (second)
Comment 3 Reartes Guillermo 2012-04-09 07:16:18 EDT
Created attachment 576186 [details]
blkparse (human text readable) output mashita drive (third)
Comment 4 Reartes Guillermo 2012-04-09 07:17:20 EDT
Created attachment 576187 [details]
blkparse (human text readable) output mashita drive (fourth)
Comment 5 Reartes Guillermo 2012-04-09 07:47:30 EDT
Created attachment 576190 [details]
f16 messages

this test starts at 2012-04-08 @ 22:26

some errors can be seen on the messages
Comment 6 Reartes Guillermo 2012-04-09 07:57:56 EDT
This thread seems to be relevant to some extent (i still reading it):

http://www.mail-archive.com/cdwrite@other.debian.org/msg12357.html
Comment 7 Honza Horak 2012-04-10 12:44:11 EDT
Thanks for the report. Actually, there have been several bugs related to burning DVDs recently (bug #810832, bug #810483), which seem actually similar to each other and this one.

Since dvd+rw-tools haven't changed until last week, I'd like to ask kernel hackers, if they can take a look at this issue. Could it be a bug in kernel? Wasn't there some change there recently that can trigger it?

I asked the reporter to test older kernel build in bug #810832 and do the same here.
Comment 8 Reartes Guillermo 2012-08-15 22:14:12 EDT
@Honza Horak

I am revisiting this issue. It has been a while since the last update.
Sadly, the issue is still there.

F17: dvd+rw-tools.x86_64  7.1-9.fc17
F16: dvd+rw-tools.x86_64  7.1-9.fc16

I am still unable to burn a DVD-RW twice.

# growisofs -Z /dev/sr0 -R -J /foo 

After executing that command, i must execute:

# dvd+rw-format /dev/sr0 -blank=full

And then perform the second write:

# growisofs -Z /dev/sr0 -R -J /foo

This behavior is different from DVD+RW (which works ok).

If i try to burn an NON BLANK DVD-RW, the command fails with different 
errors. I will soon attach a calc file with the performed test matrix and the
issue matrix. (each error message has an issue id). I was surprised by how many different errors i was getting on very similar actions.

Also keep in mind that i still not tested any -M (appendable) variant for now.

So far i tested two DVD-RW brands, three different writers on different systems with different fedora versions. And i plan to test more than that, but it will take time. I do not performed any blktraces for now.
Comment 9 Reartes Guillermo 2012-08-16 08:46:52 EDT
Created attachment 604926 [details]
Calc file, performed test matrix and issue matrix

Very brief snippet of the errors i get when i try to write the second time:

SK=5h/ILLEGAL MODE FOR THIS TRACK
SK=5h/INVALID ADDRESS FOR WRITE
SK=3h/PROGRAM MEMORY AREA UPDATE FAILURE
SK=2h/CANNOT WRITE MEDIUM - INCOMPATIBLE FORMAT
SK=3h/POWER CALIBRATION AREA ERROR
Comment 10 Reartes Guillermo 2012-08-16 08:53:54 EDT
I have found this URL: http://www.freebsd.org/doc/en_US.ISO8859-1/books/handbook/creating-dvds.html

And it says: 

A DVD-RW accepts two disc formats: the incremental sequential one and the restricted overwrite. By default DVD-RW discs are in sequential format.

A virgin DVD-RW can be directly written without the need of a formatting operation, however a non-virgin DVD-RW in sequential format needs to be blanked before to be able to write a new initial session.

~~~~~~

I does make some sense, but if that is so, some action is still needed because:

* growisofs manpage barely mentions DVD-RW. It mentions restricted overwrite but
it does not mention incremental sequential. 

* dvd+rw format does not have a man page.

* growisofs still throws different types of errors instead of the same one.
  If the above is true, the i expect growisofs tho fail always the same.
Comment 11 Reartes Guillermo 2012-08-16 10:05:44 EDT
Change a DVD-RW to restricted overwrite:

If the disk is NOT BLANK:
# dvd+rw-format /dev/sr0 -blank=full

Then, when the disk is BLANK:
# dvd+rw-format /dev/sr0 -force

To change back to incremental sequential:
# dvd+rw-format /dev/sr0 -blank=full

In restricted overwrite, a DVD-RW worked as expected.

* a man page should be created for dvd+rw-format

* growisofs man page should be modified to include DVD-RW two modes.
By only naming one, on must conclude (erroneously) that there is only one mode and it is used like a DVD+RW. And if one looks at the man page / help of dvd+rw-format it is empty. By naming the two, at least it is made explicit the existence of them and the fact that one might change from one to the other.

* why does growisofs throws such a variety of different errors instead of one 
concise error? There might be some issue error, even if it is an improper usage.


Cheers.
Comment 12 Honza Horak 2012-08-22 03:11:40 EDT
Reartes, thanks for the analysis and info provided. I've just started to write dvd+rw-format man page and I'm going to fix growisofs in a way that it prints a sane error and exits in case medium is in sequential mode and we use growisofs -Z option.
Comment 13 Honza Horak 2012-08-22 09:05:21 EDT
Created attachment 606260 [details]
Proposed patch that adds man page and prints error in case writing is not possible

This patch adds man page for dvd+rw-format and prints error in case DVD-RW in Sequential mode is already written and -Z is used.
Comment 14 Honza Horak 2012-08-22 09:20:27 EDT
Created attachment 606268 [details]
Human read-able man page for dvd+rw-format

This is a plain text format of the man page for dvd+rw-format, that I'm going to add to Fedora in few days. I've sent the same patch also to upstream, but except some volunteers' comments it seems the upstream is not active any more.
Any comments to patch/man page welcome.
Comment 15 Honza Horak 2012-09-18 05:54:50 EDT
New man page for dvd+rw-format is included in already built dvd+rw-tools-7.1-11.fc19 and an error is printed in case we want to write already written DVD-RW in Sequential Recording mode.

Note You need to log in before you can comment on or make changes to this bug.